Skip to main content
PUT
/
api
/
v1
/
events
/
{id}
TypeScript SDK
import { cuey } from 'cuey';

const event = await cuey.events.update('event-id', {
  webhook_url: 'https://api.example.com/webhook',
  method: 'POST',
  scheduled_at: '2025-01-01T00:00:00Z',
  payload: { message: 'Updated' }
});
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scheduled_at": "2023-11-07T05:31:56Z",
    "webhook_url": "<string>",
    "cron_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "retry_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "executed_at": "2023-11-07T05:31:56Z",
    "headers": {},
    "payload": {},
    "retry_config": {
      "maxRetries": 5,
      "backoffMs": 2550
    },
    "response_status": 123,
    "response_headers": {},
    "response_body": "<string>",
    "response_duration": 123,
    "response_error": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cuey.dev/llms.txt

Use this file to discover all available pages before exploring further.

Only pending events can be updated.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as: Bearer

Path Parameters

id
string<uuid>
required

Body

application/json
webhook_url
string<uri>
required
scheduled_at
string<date-time>
required

ISO timestamp, must be in the future

method
enum<string>
default:POST
Available options:
GET,
POST,
PUT,
PATCH,
DELETE,
HEAD,
OPTIONS
headers
object
payload
object
retry_config
object

Response

Event updated

data
object
required